DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVConfiguration Class Reference

Configuration class for the Softcopy Presentation State viewer. More...

Inheritance diagram for DVConfiguration:

## Public Member Functions
| DVConfiguration (const char *config_file=NULL)
| constructor. More...
virtual | ~DVConfiguration ()
| destructor.
Uint32 | getNumberOfTargets (DVPSPeerType peerType=DVPSE_storage)
| returns the number of communication partners (send targets) in the configuration file. More...
const char * | getTargetID (Uint32 idx, DVPSPeerType peerType=DVPSE_storage)
| returns the target identifier of the communication partner with the given index. More...
const char * | getTargetDescription (const char *targetID)
| returns the DESCRIPTION entry for the communication partner with the given target ID from the configuration file. More...
const char * | getTargetHostname (const char *targetID)
| returns the HOSTNAME entry for the communication partner with the given target ID from the configuration file. More...
unsigned short | getTargetPort (const char *targetID)
| returns the PORT entry for the communication partner with the given target ID from the configuration file. More...
T_ASC_ProtocolFamily | getTargetProtocol (const char *targetID)
| returns the PROTOCOL entry for the communication partner with the given target ID from the configuration file. More...
DVPSPeerType | getTargetType (const char *targetID)
| returns the TYPE entry for the communication partner with the given target ID from the configuration file. More...
const char * | getTargetAETitle (const char *targetID)
| returns the AETITLE entry for the communication partner with the given target ID from the configuration file. More...
unsigned long | getTargetMaxPDU (const char *targetID)
| returns the MAXPDU entry for the communication partner with the given target ID from the configuration file. More...
Sint32 | getTargetTimeout (const char *targetID)
| returns the TIMEOUT entry for the communication partner with the given target ID from the configuration file. More...
OFBool | getTargetImplicitOnly (const char *targetID)
| returns the IMPLICITONLY entry for the communication partner with the given target ID from the configuration file. More...
OFBool | getTargetDisableNewVRs (const char *targetID)
| returns the DISABLENEWVRS entry for the communication partner with the given target ID from the configuration file. More...
OFBool | getTargetBitPreservingMode (const char *targetID)
| returns the BITPRESERVINGMODE entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetValidationMode (const char *targetID)
| returns the VALIDATIONMODE entry for the storage peer with the given target ID from the configuration file. More...
OFBool | getTargetCorrectUIDPadding (const char *targetID)
| returns the CORRECTUIDPADDING entry for the storage peer with the given target ID from the configuration file. More...
OFBool | getTargetUseTLS (const char *targetID)
| returns the USETLS entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetCertificate (const char *targetID)
| returns the CERTIFICATE entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetPrivateKey (const char *targetID)
| returns the PRIVATEKEY entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetPrivateKeyPassword (const char *targetID)
| returns the PRIVATEKEYPASSWORD entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetTLSProfile (const char *targetID)
| returns the TLSPROFILE entry for the storage peer with the given target ID from the configuration file. More...
DVPSCertificateVerificationType | getTargetPeerAuthentication (const char *targetID)
| returns the PEERAUTHENTICATION entry for the communication partner with the given target ID from the configuration file. More...
const char * | getTargetDiffieHellmanParameters (const char *targetID)
| returns the DIFFIEHELLMANPARAMETERS entry for the storage peer with the given target ID from the configuration file. More...
const char * | getTargetRandomSeed (const char *targetID)
| returns the RANDOMSEED entry for the storage peer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupportsPresentationLUT (const char *targetID)
| returns the SUPPORTSPRESENTATIONLUT entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterPresentationLUTMatchRequired (const char *targetID)
| returns the PRESENTATIONLUTMATCHREQUIRED entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterPresentationLUTPreferSCPRendering (const char *targetID)
| returns the PRESENTATIONLUTPREFERSCPRENDERING entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterPresentationLUTinFilmSession (const char *targetID)
| returns the PRESENTATIONLUTINFILMSESSION entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupports12BitTransmission (const char *targetID)
| returns the SUPPORTS12BIT entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupportsRequestedImageSize (const char *targetID)
| returns the SUPPORTSIMAGESIZE entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupportsDecimateCrop (const char *targetID)
| returns the SUPPORTSDECIMATECROP entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupportsTrim (const char *targetID)
| returns the SUPPORTSTRIM entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfBorderDensities (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the BORDERDENSITY entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterBorderDensity (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the BORDERDENSITY entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfMaxDensities (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the MAXDENSITY entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterMaxDensity (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the MAXDENSITY entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfMinDensities (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the MINDENSITY entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterMinDensity (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the MINDENSITY entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfPortraitDisplayFormats (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterPortraitDisplayFormatRows (const char *targetID, Uint32 idx)
| returns one row value from the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterPortraitDisplayFormatColumns (const char *targetID, Uint32 idx)
| returns one columns value from the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrinterSupportsAnnotation (const char *targetID)
| returns OFTrue if an ANNOTATION entry for the printer with the given target ID from the configuration file exists or if the SESSIONLABELANNOTATION flag is true for the printer. More...
OFBool | getTargetPrinterSupportsAnnotationBoxSOPClass (const char *targetID)
| returns OFTrue if an ANNOTATION entry for the printer with the given target ID from the configuration file exists. More...
OFBool | getTargetPrinterSessionLabelAnnotation (const char *targetID)
| returns OFTrue if an SESSIONLABELANNOTATION entry for the printer with the given target ID from the configuration file exists and is true. More...
const char * | getTargetPrinterAnnotationDisplayFormatID (const char *targetID, OFString &value)
| returns the second value from the ANNOTATION entry for the printer with the given target ID from the configuration file. More...
Uint16 | getTargetPrinterAnnotationPosition (const char *targetID)
| returns the first value from the ANNOTATION entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfFilmSizeIDs (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the FILMSIZEID entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterFilmSizeID (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the FILMSIZEID entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfMediumTypes (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the MEDIUMTYPE entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterMediumType (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the MEDIUMTYPE entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfFilmDestinations (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the FILMDESTINATION entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterFilmDestination (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the FILMDESTINATION entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfPrinterResolutionIDs (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the RESOLUTIONID entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterResolutionID (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the RESOLUTIONID entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfMagnificationTypes (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the MAGNIFICATIONTYPE entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterMagnificationType (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the MAGNIFICATIONTYPE entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfSmoothingTypes (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the SMOOTHINGTYPE entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterSmoothingType (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the SMOOTHINGTYPE entry for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfConfigurationSettings (const char *targetID)
| returns the number of distinct values in the CONFIGURATION_x entries for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterConfigurationSetting (const char *targetID, Uint32 idx)
| returns the value from one of the CONFIGURATION_x entries for the printer with the given target ID from the configuration file. More...
Uint32 | getTargetPrinterNumberOfEmptyImageDensities (const char *targetID)
| returns the number of distinct values (separated by backslash characters) in the EMPTYIMAGEDENSITY entry for the printer with the given target ID from the configuration file. More...
const char * | getTargetPrinterEmptyImageDensity (const char *targetID, Uint32 idx, OFString &value)
| returns one value from the EMPTYIMAGEDENSITY entry for the printer with the given target ID from the configuration file. More...
OFBool | getTargetPrintSCPOmitSOPClassUIDFromCreateResponse (const char *targetID)
| returns the OMITSOPCLASSUIDFROMCREATERESPONSE entry for the printer with the given target ID from the configuration file. More...
const char * | getLogFolder ()
| returns the directory used to store log files. More...
const char * | getLogFile ()
| returns the name of the log file to be used for general application messages. More...
OFLogger::LogLevel | getLogLevel ()
| returns the log level / filter to be used for general application messages. More...
unsigned short | getMessagePort ()
| returns the port on which the GUI application accepts notification messages from the network processes. More...
OFBool | getMessagePortKeepOpen ()
| Indicates whether client processes are allowed to keep their notification message port open during the lifetime of the process. More...
const char * | getNetworkAETitle ()
| returns the AETitle with which this application should identify itself. More...
OFBool | getQueryRetrieveAutoCreateConfigFile ()
| returns the AUTOCREATECONFIGFILE entry for the query/retrieve server from the section GENERAL/QUERY_RETRIEVE in the config file. More...
const char * | getQueryRetrieveAETitle ()
| returns the AETitle with which the Q/R server should identify itself. More...
unsigned short | getQueryRetrievePort ()
| returns the PORT entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file. More...
unsigned long | getQueryRetrieveMaxPDU ()
| returns the MAXPDU entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file. More...
Sint32 | getQueryRetrieveTimeout ()
| returns the TIMEOUT entry for the the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file. More...
unsigned long | getQueryRetrieveMaxAssociations ()
| returns the MaxAssociations entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file. More...
T_ASC_ProtocolFamily | getQueryRetrieveProtocolFamily ()
| returns the protocol family to be supported by the Query/Retrieve SCP as configured in section GENERAL/QUERY_RETRIEVE/PROTOCOL in the config file. More...
const char * | getDatabaseFolder ()
| returns the database folder to be used for sending/receiving/browsing. More...
const char * | getSpoolFolder ()
| returns the spool folder to be used for print jobs. More...
OFBool | getDetailedLog ()
| returns the DETAILEDLOG entry from the section GENERAL/PRINT in the config file. More...
OFBool | getBinaryLog ()
| returns the BINARYLOG entry from the section GENERAL/PRINT in the config file. More...
const char * | getSenderName ()
| returns the filename (path) of the DICOM Store SCU application used for sending images, as configured in section GENERAL/NETWORK/SENDER in the config file. More...
const char * | getReceiverName ()
| returns the filename (path) of the DICOM Store SCP application used for receiving images, as configured in section GENERAL/NETWORK/RECEIVER in the config file. More...
const char * | getQueryRetrieveServerName ()
| returns the filename (path) of the DICOM Query/Retrieve SCP application, as configured in section GENERAL/QUERY_RETRIEVE/SERVER in the config file. More...
const char * | getSpoolerName ()
| returns the filename (path) of the DICOM Print SCU application used for printing images, as configured in section GENERAL/PRINT/SPOOLER in the config file. More...
const char * | getPrintServerName ()
| returns the filename (path) of the DICOM Print SCU application used for printing images, as configured in section GENERAL/PRINT/Server in the config file. More...
const char * | getDumpToolName ()
| returns the filename (path) of the application used for dumping DICOM objects, as configured in section GENERAL/DATABASE/DUMP in the config file. More...
const char * | getCheckToolName ()
| returns the filename (path) of the application used for dumping DICOM objects, as configured in section GENERAL/DATABASE/CHECK in the config file. More...
unsigned long | getSpoolerSleep ()
| returns the sleep delay for the print spooler in seconds, as configured in section GENERAL/PRINT/SLEEP in the config file. More...
OFBool | getSpoolerDeletePrintJobs ()
| returns the DELETEPRINTJOBS entry for the print spooler from the section GENERAL/PRINT in the config file. More...
OFBool | getSpoolerAlwaysDeleteTerminateJobs ()
| returns the ALWAYSDELETETERMINATEJOBS entry for the print spooler from the section GENERAL/PRINT in the config file. More...
const char * | getMonitorCharacteristicsFile ()
| returns the filename (path) of the monitor characteristics file used to implement that Barten transform, as configured in section GENERAL/MONITOR/CHARACTERISTICS in the config file. More...
double | getMonitorPixelWidth ()
| returns the width (in mm) of one pixel on the current monitor More...
double | getMonitorPixelHeight ()
| returns the height (in mm) of one pixel on the current monitor More...
Uint32 | getMaxPreviewResolutionX ()
| returns the maximum horizontal preview image resolution, from GENERAL/MONITOR/PREVIEW in the config file. More...
Uint32 | getMaxPreviewResolutionY ()
| returns the maximum vertical preview image resolution, from GENERAL/MONITOR/PREVIEW in the config file. More...
const char * | getGUIConfigEntry (const char *key)
| returns the value of configuration file entry key=value in the section GENERAL/GUI of the config file. More...
OFBool | getGUIConfigEntryBool (const char *key, OFBool dfl)
| returns the value of configuration file entry key=value in the section GENERAL/GUI of the config file. More...
const char * | getLUTFolder ()
| returns the folder to be used for Print Presentation LUTs. More...
const char * | getReportFolder ()
| returns the folder to be used for Structured Reporting "templates". More...
Uint32 | getNumberOfLUTs ()
| returns the number of Presentation LUTs in the configuration file. More...
const char * | getLUTID (Uint32 idx)
| returns the identifier of the Presentation LUT with the given index. More...
const char * | getLUTDescription (const char *lutID)
| returns the DESCRIPTION entry for the LUT with the given ID from the configuration file. More...
const char * | getLUTFilename (const char *lutID)
| returns the FILENAME entry for the LUT with the given ID from the configuration file. More...
Uint32 | getNumberOfReports ()
| returns the number of SR "templates" in the configuration file. More...
const char * | getReportID (Uint32 idx)
| returns the identifier of the SR "template" with the given index. More...
const char * | getReportDescription (const char *reportID)
| returns the DESCRIPTION entry for the SR "template" with the given ID from the configuration file. More...
const char * | getReportFilename (const char *reportID)
| returns the FILENAME entry for the SR "template" with the given ID from the configuration file. More...
Uint32 | getMinPrintResolutionX ()
| returns the minimum horizontal bitmap resolution for print, from GENERAL/PRINT/MINPRINTRESOLUTION in the config file. More...
Uint32 | getMinPrintResolutionY ()
| returns the minimum vertical bitmap resolution for print, from GENERAL/PRINT/MINPRINTRESOLUTION in the config file. More...
Uint32 | getMaxPrintResolutionX ()
| returns the maximum horizontal bitmap resolution for print, from GENERAL/PRINT/MAXPRINTRESOLUTION in the config file. More...
Uint32 | getMaxPrintResolutionY ()
| returns the maximum vertical bitmap resolution for print, from GENERAL/PRINT/MAXPRINTRESOLUTION in the config file. More...
Uint16 | getDefaultPrintIllumination ()
| returns the default illumination for print, from GENERAL/PRINT/DEFAULTILLUMINATION in the config file. More...
Uint16 | getDefaultPrintReflection ()
| returns the default reflection for print, from GENERAL/PRINT/DEFAULTREFLECTION in the config file. More...
Uint32 | getNumberOfVOIPresets (const char *modality)
| returns the number of VOI Presets defined for the given modality More...
const char * | getVOIPresetDescription (const char *modality, Uint32 idx)
| returns the description string for the given VOI Preset More...
double | getVOIPresetWindowCenter (const char *modality, Uint32 idx)
| returns the window center for the given VOI Preset More...
double | getVOIPresetWindowWidth (const char *modality, Uint32 idx)
| returns the window width for the given VOI Preset More...
const char * | getTLSFolder ()
| returns the directory in which TLS related files (certificates, keys, random data, Diffie-Hellman parameters etc.) are located. More...
const char * | getTLSCACertificateFolder ()
| returns the directory in which certificates of the trusted Certification Authorities are located. More...
OFBool | getTLSPEMFormat ()
| returns the file format used for certificates, keys and Diffie-Hellman parameters. More...
const char * | getUserCertificateFolder ()
| returns the directory in which user certificates and keys are located. More...
Uint32 | getNumberOfUsers ()
| returns the number of configured users in the USERS section. More...
const char * | getUserID (Uint32 idx)
| returns the symbolic identifier of the user with the given index. More...
const char * | getUserLogin (const char *userID)
| returns the login for the given user. More...
const char * | getUserName (const char *userID)
| returns the human readable name for the given user. More...
const char * | getUserDICOMName (const char *userID)
| returns the name for the given user in DICOM Person Name (PN) format. More...
const char * | getUserOrganization (const char *userID)
| returns the organization for the given user. More...
const char * | getUserCodingSchemeDesignator (const char *userID, OFString &value)
| returns the coding scheme designator of the user code for the given user if present. More...
const char * | getUserCodingSchemeVersion (const char *userID, OFString &value)
| returns the coding scheme version of the user code for the given user if present. More...
const char * | getUserCodeValue (const char *userID, OFString &value)
| returns the code value of the user code for the given user if present. More...
const char * | getUserCodeMeaning (const char *userID, OFString &value)
| returns the code meaning of the user code for the given user if present. More...
const char * | getUserCertificate (const char *userID)
| returns the certificate file name for the given user. More...
const char * | getUserPrivateKey (const char *userID)
| returns the private key file name for the given user. More...

## Private Member Functions
| DVConfiguration (const DVConfiguration &)
| private undefined copy constructor
DVConfiguration & | operator= (const DVConfiguration &)
| private undefined assignment operator
const char * | getConfigEntry (const char *l2_key, const char *l1_key, const char *l0_key)
| returns the entry with the given keys. More...
OFBool | getConfigBoolEntry (const char *l2_key, const char *l1_key, const char *l0_key, OFBool deflt)
| returns the entry with the given keys as bool. More...

## Private Attributes
OFConfigFile * | pConfig
| pointer to the configuration file data if the configuration file was found. More...

## Detailed Description

Configuration class for the Softcopy Presentation State viewer.

This class manages the configuration file content used by the presentation state viewer.

## Constructor & Destructor Documentation

## ◆ DVConfiguration()

DVConfiguration::DVConfiguration | ( | const char * | config_file = `NULL` | ) |

constructor.

Parameters

  config_file | filename (path) of the config file to be used. The caller should make sure that the config file really exists because the constructor cannot return an error status. If a non-existing filename (or NULL) is passed, an empty configuration file is assumed.

## Member Function Documentation

## ◆ getBinaryLog()

OFBool DVConfiguration::getBinaryLog | ( |  | ) |

returns the BINARYLOG entry from the section GENERAL/PRINT in the config file.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getCheckToolName()

const char* DVConfiguration::getCheckToolName | ( |  | ) |

returns the filename (path) of the application used for dumping DICOM objects, as configured in section GENERAL/DATABASE/CHECK in the config file.

Returns
  check application path name or NULL if absent.

## ◆ getConfigBoolEntry()

OFBool DVConfiguration::getConfigBoolEntry | ( | const char * | l2_key,
|  | const char * | l1_key,
|  | const char * | l0_key,
|  | OFBool | deflt
| ) |  |
| private

returns the entry with the given keys as bool.

Parameters

  l2_key | level 2 key
  l1_key | level 1 key
  l0_key | level 0 key (entry name)
  deflt | default to be returned if entry is not present or syntax error.

Returns
  value assigned to the key if present, default otherwise.

## ◆ getConfigEntry()

const char* DVConfiguration::getConfigEntry | ( | const char * | l2_key,
|  | const char * | l1_key,
|  | const char * | l0_key
| ) |  |
| private

returns the entry with the given keys.

Parameters

  l2_key | level 2 key
  l1_key | level 1 key
  l0_key | level 0 key (entry name)

Returns
  value assigned to the key if present, NULL otherwise.

## ◆ getDatabaseFolder()

const char* DVConfiguration::getDatabaseFolder | ( |  | ) |

returns the database folder to be used for sending/receiving/browsing.

Value is taken from the section GENERAL/DATABASE/DIRECTORY in the config file. If absent, a default value is returned.

Returns
  database folder path. Never returns NULL.

## ◆ getDefaultPrintIllumination()

Uint16 DVConfiguration::getDefaultPrintIllumination | ( |  | ) |

returns the default illumination for print, from GENERAL/PRINT/DEFAULTILLUMINATION in the config file.

Default: 2000.

Returns
  default illumination for print

## ◆ getDefaultPrintReflection()

Uint16 DVConfiguration::getDefaultPrintReflection | ( |  | ) |

returns the default reflection for print, from GENERAL/PRINT/DEFAULTREFLECTION in the config file.

Default: 10.

Returns
  default reflection for print

## ◆ getDetailedLog()

OFBool DVConfiguration::getDetailedLog | ( |  | ) |

returns the DETAILEDLOG entry from the section GENERAL/PRINT in the config file.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getDumpToolName()

const char* DVConfiguration::getDumpToolName | ( |  | ) |

returns the filename (path) of the application used for dumping DICOM objects, as configured in section GENERAL/DATABASE/DUMP in the config file.

Returns
  dump application path name or NULL if absent.

## ◆ getGUIConfigEntry()

const char* DVConfiguration::getGUIConfigEntry | ( | const char * | key | ) |

returns the value of configuration file entry key=value in the section GENERAL/GUI of the config file.

Specified key must be upper case. If the entry is absent, NULL is returned.

Parameters

  key | the entry key

Returns
  entry value or NULL.

## ◆ getGUIConfigEntryBool()

OFBool DVConfiguration::getGUIConfigEntryBool | ( | const char * | key,
|  | OFBool | dfl
| ) |  |

returns the value of configuration file entry key=value in the section GENERAL/GUI of the config file.

Specified key must be upper case. If the entry is absent or cannot be parsed, the default dfl is returned.

Parameters

  key | the entry key
  dfl | the default to be used if the value is absent or incorrect

Returns
  entry value or default.

## ◆ getLogFile()

const char* DVConfiguration::getLogFile | ( |  | ) |

returns the name of the log file to be used for general application messages.

Value is taken from the section GENERAL/APPLICATION/LOGFILE in the config file.

Returns
  name of the log file, NULL if absent.

## ◆ getLogFolder()

const char* DVConfiguration::getLogFolder | ( |  | ) |

returns the directory used to store log files.

Value is taken from the section GENERAL/APPLICATION/LOGDIRECTORY in the config file.

Returns
  log directory path, NULL if absent.

## ◆ getLogLevel()

OFLogger::LogLevel DVConfiguration::getLogLevel | ( |  | ) |

returns the log level / filter to be used for general application messages.

Value is taken from the section GENERAL/APPLICATION/LOGLEVEL in the config file.

Returns
  log level, default: OFLogger::FATAL_LOG_LEVEL

## ◆ getLUTDescription()

const char* DVConfiguration::getLUTDescription | ( | const char * | lutID | ) |

returns the DESCRIPTION entry for the LUT with the given ID from the configuration file.

Parameters

  lutID | LUT ID, must be one of the identifiers returned by getLUTID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getLUTFilename()

const char* DVConfiguration::getLUTFilename | ( | const char * | lutID | ) |

returns the FILENAME entry for the LUT with the given ID from the configuration file.

Parameters

  lutID | LUT ID, must be one of the identifiers returned by getLUTID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getLUTFolder()

const char* DVConfiguration::getLUTFolder | ( |  | ) |

returns the folder to be used for Print Presentation LUTs.

Value is taken from the section GENERAL/LUT/DIRECTORY in the config file. If absent, a default value is returned.

Returns
  LUT folder path. Never returns NULL.

## ◆ getLUTID()

const char* DVConfiguration::getLUTID | ( | Uint32 | idx | ) |

returns the identifier of the Presentation LUT with the given index.

The identifier is unique within the configuration file

Parameters

  idx | index, must be < getNumberOfLUTs()

Returns
  identifier if found, NULL otherwise.

## ◆ getMaxPreviewResolutionX()

Uint32 DVConfiguration::getMaxPreviewResolutionX | ( |  | ) |

returns the maximum horizontal preview image resolution, from GENERAL/MONITOR/PREVIEW in the config file.

Default: 0.

Returns
  maximum horizontal preview resolution

## ◆ getMaxPreviewResolutionY()

Uint32 DVConfiguration::getMaxPreviewResolutionY | ( |  | ) |

returns the maximum vertical preview image resolution, from GENERAL/MONITOR/PREVIEW in the config file.

Default: 0.

Returns
  maximum vertical preview resolution

## ◆ getMaxPrintResolutionX()

Uint32 DVConfiguration::getMaxPrintResolutionX | ( |  | ) |

returns the maximum horizontal bitmap resolution for print, from GENERAL/PRINT/MAXPRINTRESOLUTION in the config file.

Default: 0.

Returns
  maximum horizontal bitmap resolution

## ◆ getMaxPrintResolutionY()

Uint32 DVConfiguration::getMaxPrintResolutionY | ( |  | ) |

returns the maximum vertical bitmap resolution for print, from GENERAL/PRINT/MAXPRINTRESOLUTION in the config file.

Default: 0.

Returns
  maximum vertical bitmap resolution

## ◆ getMessagePort()

unsigned short DVConfiguration::getMessagePort | ( |  | ) |

returns the port on which the GUI application accepts notification messages from the network processes.

Value is taken from the section GENERAL/APPLICATION/MESSAGEPORT in the config file.

Returns
  message port, default: 0 (no message exchange).

## ◆ getMessagePortKeepOpen()

OFBool DVConfiguration::getMessagePortKeepOpen | ( |  | ) |

Indicates whether client processes are allowed to keep their notification message port open during the lifetime of the process.

Value is taken from the section GENERAL/APPLICATION/KEEPMESSAGEPORTOPEN in the config file.

Returns
  message port open flag, default: false

## ◆ getMinPrintResolutionX()

Uint32 DVConfiguration::getMinPrintResolutionX | ( |  | ) |

returns the minimum horizontal bitmap resolution for print, from GENERAL/PRINT/MINPRINTRESOLUTION in the config file.

Default: 0.

Returns
  minimum horizontal bitmap resolution

## ◆ getMinPrintResolutionY()

Uint32 DVConfiguration::getMinPrintResolutionY | ( |  | ) |

returns the minimum vertical bitmap resolution for print, from GENERAL/PRINT/MINPRINTRESOLUTION in the config file.

Default: 0.

Returns
  minimum vertical bitmap resolution

## ◆ getMonitorCharacteristicsFile()

const char* DVConfiguration::getMonitorCharacteristicsFile | ( |  | ) |

returns the filename (path) of the monitor characteristics file used to implement that Barten transform, as configured in section GENERAL/MONITOR/CHARACTERISTICS in the config file.

Returns
  monitor characteristics path name or NULL if absent.

## ◆ getMonitorPixelHeight()

double DVConfiguration::getMonitorPixelHeight | ( |  | ) |

returns the height (in mm) of one pixel on the current monitor

Returns
  pixel height, 0 if unknown

## ◆ getMonitorPixelWidth()

double DVConfiguration::getMonitorPixelWidth | ( |  | ) |

returns the width (in mm) of one pixel on the current monitor

Returns
  pixel width, 0 if unknown

## ◆ getNetworkAETitle()

const char* DVConfiguration::getNetworkAETitle | ( |  | ) |

returns the AETitle with which this application should identify itself.

The AETitle is taken from the section GENERAL/NETWORK in the config file. If absent, a default value is returned.

Returns
  AETitle for this application. Never returns NULL.

## ◆ getNumberOfLUTs()

Uint32 DVConfiguration::getNumberOfLUTs | ( |  | ) |

returns the number of Presentation LUTs in the configuration file.

Returns
  number of LUTs

## ◆ getNumberOfReports()

Uint32 DVConfiguration::getNumberOfReports | ( |  | ) |

returns the number of SR "templates" in the configuration file.

Returns
  number of SR "templates"

## ◆ getNumberOfTargets()

Uint32 DVConfiguration::getNumberOfTargets | ( | DVPSPeerType | peerType = `DVPSE_storage` | ) |

returns the number of communication partners (send targets) in the configuration file.

Parameters

  peerType | defines a filter for the peer service type. Default: handle only storage peers.

Returns
  number of communication partners

## ◆ getNumberOfUsers()

Uint32 DVConfiguration::getNumberOfUsers | ( |  | ) |

returns the number of configured users in the USERS section.

Returns
  number of configured users

## ◆ getNumberOfVOIPresets()

Uint32 DVConfiguration::getNumberOfVOIPresets | ( | const char * | modality | ) |

returns the number of VOI Presets defined for the given modality

Parameters

  modality | Modality, e.g. "CT", "MR", "DX" etc.

Returns
  number of VOI Presets

## ◆ getPrintServerName()

const char* DVConfiguration::getPrintServerName | ( |  | ) |

returns the filename (path) of the DICOM Print SCU application used for printing images, as configured in section GENERAL/PRINT/Server in the config file.

Returns
  receive application path name or NULL if absent.

## ◆ getQueryRetrieveAETitle()

const char* DVConfiguration::getQueryRetrieveAETitle | ( |  | ) |

returns the AETitle with which the Q/R server should identify itself.

The AETitle is taken from the section GENERAL/QUERY_RETRIEVE in the config file. If absent, a default value is returned.

Returns
  AETitle for the Q/R server. Never returns NULL.

## ◆ getQueryRetrieveAutoCreateConfigFile()

OFBool DVConfiguration::getQueryRetrieveAutoCreateConfigFile | ( |  | ) |

returns the AUTOCREATECONFIGFILE entry for the query/retrieve server from the section GENERAL/QUERY_RETRIEVE in the config file.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getQueryRetrieveMaxAssociations()

unsigned long DVConfiguration::getQueryRetrieveMaxAssociations | ( |  | ) |

returns the MaxAssociations entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file.

Returns
  entry if present and parsable in the config file, 0 otherwise.

## ◆ getQueryRetrieveMaxPDU()

unsigned long DVConfiguration::getQueryRetrieveMaxPDU | ( |  | ) |

returns the MAXPDU entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file.

Returns
  entry if present and parsable in the config file, 0 otherwise.

## ◆ getQueryRetrievePort()

unsigned short DVConfiguration::getQueryRetrievePort | ( |  | ) |

returns the PORT entry for the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file.

Returns
  entry if present and parsable in the config file, 0 otherwise.

## ◆ getQueryRetrieveProtocolFamily()

T_ASC_ProtocolFamily DVConfiguration::getQueryRetrieveProtocolFamily | ( |  | ) |

returns the protocol family to be supported by the Query/Retrieve SCP as configured in section GENERAL/QUERY_RETRIEVE/PROTOCOL in the config file.

Returns
  send application path name or NULL if absent.

## ◆ getQueryRetrieveServerName()

const char* DVConfiguration::getQueryRetrieveServerName | ( |  | ) |

returns the filename (path) of the DICOM Query/Retrieve SCP application, as configured in section GENERAL/QUERY_RETRIEVE/SERVER in the config file.

Returns
  send application path name or NULL if absent.

## ◆ getQueryRetrieveTimeout()

Sint32 DVConfiguration::getQueryRetrieveTimeout | ( |  | ) |

returns the TIMEOUT entry for the the Q/R server from the section GENERAL/QUERY_RETRIEVE in the config file.

Returns
  entry if present and parsable in the config file, -1 otherwise.

## ◆ getReceiverName()

const char* DVConfiguration::getReceiverName | ( |  | ) |

returns the filename (path) of the DICOM Store SCP application used for receiving images, as configured in section GENERAL/NETWORK/RECEIVER in the config file.

Returns
  receive application path name or NULL if absent.

## ◆ getReportDescription()

const char* DVConfiguration::getReportDescription | ( | const char * | reportID | ) |

returns the DESCRIPTION entry for the SR "template" with the given ID from the configuration file.

Parameters

  reportID | SR "template" ID, must be one of the identifiers returned by getReportID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getReportFilename()

const char* DVConfiguration::getReportFilename | ( | const char * | reportID | ) |

returns the FILENAME entry for the SR "template" with the given ID from the configuration file.

Parameters

  reportID | SR "template" ID, must be one of the identifiers returned by getReportID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getReportFolder()

const char* DVConfiguration::getReportFolder | ( |  | ) |

returns the folder to be used for Structured Reporting "templates".

Value is taken from the section GENERAL/REPORT/DIRECTORY in the config file. If absent, a default value is returned.

Returns
  report folder path. Never returns NULL.

## ◆ getReportID()

const char* DVConfiguration::getReportID | ( | Uint32 | idx | ) |

returns the identifier of the SR "template" with the given index.

The identifier is unique within the configuration file

Parameters

  idx | index, must be < getNumberOfReports()

Returns
  identifier if found, NULL otherwise.

## ◆ getSenderName()

const char* DVConfiguration::getSenderName | ( |  | ) |

returns the filename (path) of the DICOM Store SCU application used for sending images, as configured in section GENERAL/NETWORK/SENDER in the config file.

Returns
  send application path name or NULL if absent.

## ◆ getSpoolerAlwaysDeleteTerminateJobs()

OFBool DVConfiguration::getSpoolerAlwaysDeleteTerminateJobs | ( |  | ) |

returns the ALWAYSDELETETERMINATEJOBS entry for the print spooler from the section GENERAL/PRINT in the config file.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getSpoolerDeletePrintJobs()

OFBool DVConfiguration::getSpoolerDeletePrintJobs | ( |  | ) |

returns the DELETEPRINTJOBS entry for the print spooler from the section GENERAL/PRINT in the config file.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getSpoolerName()

const char* DVConfiguration::getSpoolerName | ( |  | ) |

returns the filename (path) of the DICOM Print SCU application used for printing images, as configured in section GENERAL/PRINT/SPOOLER in the config file.

Returns
  receive application path name or NULL if absent.

## ◆ getSpoolerSleep()

unsigned long DVConfiguration::getSpoolerSleep | ( |  | ) |

returns the sleep delay for the print spooler in seconds, as configured in section GENERAL/PRINT/SLEEP in the config file.

Returns
  sleep delay, 0 if absent.

## ◆ getSpoolFolder()

const char* DVConfiguration::getSpoolFolder | ( |  | ) |

returns the spool folder to be used for print jobs.

Value is taken from the section GENERAL/PRINT/DIRECTORY in the config file. If absent, a default value is returned.

Returns
  spool folder path. Never returns NULL.

## ◆ getTargetAETitle()

const char* DVConfiguration::getTargetAETitle | ( | const char * | targetID | ) |

returns the AETITLE entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetBitPreservingMode()

OFBool DVConfiguration::getTargetBitPreservingMode | ( | const char * | targetID | ) |

returns the BITPRESERVINGMODE entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetCertificate()

const char* DVConfiguration::getTargetCertificate | ( | const char * | targetID | ) |

returns the CERTIFICATE entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetCorrectUIDPadding()

OFBool DVConfiguration::getTargetCorrectUIDPadding | ( | const char * | targetID | ) |

returns the CORRECTUIDPADDING entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetDescription()

const char* DVConfiguration::getTargetDescription | ( | const char * | targetID | ) |

returns the DESCRIPTION entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetDiffieHellmanParameters()

const char* DVConfiguration::getTargetDiffieHellmanParameters | ( | const char * | targetID | ) |

returns the DIFFIEHELLMANPARAMETERS entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetDisableNewVRs()

OFBool DVConfiguration::getTargetDisableNewVRs | ( | const char * | targetID | ) |

returns the DISABLENEWVRS entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetHostname()

const char* DVConfiguration::getTargetHostname | ( | const char * | targetID | ) |

returns the HOSTNAME entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetID()

const char* DVConfiguration::getTargetID | ( | Uint32 | idx,
|  | DVPSPeerType | peerType = `DVPSE_storage`
| ) |  |

returns the target identifier of the communication partner with the given index.

The target identifier is unique within the configuration file

Parameters

  idx | index, must be < getNumberOfTargets()
  peerType | defines a filter for the peer service type. Default: handle only storage peers.

Returns
  target identifier if found, NULL otherwise.

## ◆ getTargetImplicitOnly()

OFBool DVConfiguration::getTargetImplicitOnly | ( | const char * | targetID | ) |

returns the IMPLICITONLY entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetMaxPDU()

unsigned long DVConfiguration::getTargetMaxPDU | ( | const char * | targetID | ) |

returns the MAXPDU entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, 0 otherwise.

## ◆ getTargetPeerAuthentication()

DVPSCertificateVerificationType DVConfiguration::getTargetPeerAuthentication | ( | const char * | targetID | ) |

returns the PEERAUTHENTICATION entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, DVPSQ_require otherwise.

## ◆ getTargetPort()

unsigned short DVConfiguration::getTargetPort | ( | const char * | targetID | ) |

returns the PORT entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, 0 otherwise.

## ◆ getTargetPrinterAnnotationDisplayFormatID()

const char* DVConfiguration::getTargetPrinterAnnotationDisplayFormatID | ( | const char * | targetID,
|  | OFString & | value
| ) |  |

returns the second value from the ANNOTATION entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterAnnotationPosition()

Uint16 DVConfiguration::getTargetPrinterAnnotationPosition | ( | const char * | targetID | ) |

returns the first value from the ANNOTATION entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  value if present, 0 otherwise.

## ◆ getTargetPrinterBorderDensity()

const char* DVConfiguration::getTargetPrinterBorderDensity | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the BORDERDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfBorderDensities(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterConfigurationSetting()

const char* DVConfiguration::getTargetPrinterConfigurationSetting | ( | const char * | targetID,
|  | Uint32 | idx
| ) |  |

returns the value from one of the CONFIGURATION_x entries for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfConfigurationSettings(targetID)

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterEmptyImageDensity()

const char* DVConfiguration::getTargetPrinterEmptyImageDensity | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the EMPTYIMAGEDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfEmptyImageDensities(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterFilmDestination()

const char* DVConfiguration::getTargetPrinterFilmDestination | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the FILMDESTINATION entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfFilmDestinations(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterFilmSizeID()

const char* DVConfiguration::getTargetPrinterFilmSizeID | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the FILMSIZEID entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfFilmSizeIDs(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterMagnificationType()

const char* DVConfiguration::getTargetPrinterMagnificationType | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the MAGNIFICATIONTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfMagnificationTypes(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterMaxDensity()

const char* DVConfiguration::getTargetPrinterMaxDensity | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the MAXDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfMaxDensities(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterMediumType()

const char* DVConfiguration::getTargetPrinterMediumType | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the MEDIUMTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfMediumTypes(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterMinDensity()

const char* DVConfiguration::getTargetPrinterMinDensity | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the MINDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfMinDensities(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterNumberOfBorderDensities()

Uint32 DVConfiguration::getTargetPrinterNumberOfBorderDensities | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the BORDERDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfConfigurationSettings()

Uint32 DVConfiguration::getTargetPrinterNumberOfConfigurationSettings | ( | const char * | targetID | ) |

returns the number of distinct values in the CONFIGURATION_x entries for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfEmptyImageDensities()

Uint32 DVConfiguration::getTargetPrinterNumberOfEmptyImageDensities | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the EMPTYIMAGEDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfFilmDestinations()

Uint32 DVConfiguration::getTargetPrinterNumberOfFilmDestinations | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the FILMDESTINATION entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfFilmSizeIDs()

Uint32 DVConfiguration::getTargetPrinterNumberOfFilmSizeIDs | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the FILMSIZEID entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfMagnificationTypes()

Uint32 DVConfiguration::getTargetPrinterNumberOfMagnificationTypes | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the MAGNIFICATIONTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfMaxDensities()

Uint32 DVConfiguration::getTargetPrinterNumberOfMaxDensities | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the MAXDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfMediumTypes()

Uint32 DVConfiguration::getTargetPrinterNumberOfMediumTypes | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the MEDIUMTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfMinDensities()

Uint32 DVConfiguration::getTargetPrinterNumberOfMinDensities | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the MINDENSITY entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfPortraitDisplayFormats()

Uint32 DVConfiguration::getTargetPrinterNumberOfPortraitDisplayFormats | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfPrinterResolutionIDs()

Uint32 DVConfiguration::getTargetPrinterNumberOfPrinterResolutionIDs | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the RESOLUTIONID entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterNumberOfSmoothingTypes()

Uint32 DVConfiguration::getTargetPrinterNumberOfSmoothingTypes | ( | const char * | targetID | ) |

returns the number of distinct values (separated by backslash characters) in the SMOOTHINGTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  number of values if entry present in the config file, 0 otherwise.

## ◆ getTargetPrinterPortraitDisplayFormatColumns()

Uint32 DVConfiguration::getTargetPrinterPortraitDisplayFormatColumns | ( | const char * | targetID,
|  | Uint32 | idx
| ) |  |

returns one columns value from the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfPortraitDisplayFormats(targetID)

Returns
  number of columns for this display format if present, 0 otherwise

## ◆ getTargetPrinterPortraitDisplayFormatRows()

Uint32 DVConfiguration::getTargetPrinterPortraitDisplayFormatRows | ( | const char * | targetID,
|  | Uint32 | idx
| ) |  |

returns one row value from the DISPLAYFORMAT entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfPortraitDisplayFormats(targetID)

Returns
  number of rows for this display format if present, 0 otherwise

## ◆ getTargetPrinterPresentationLUTinFilmSession()

OFBool DVConfiguration::getTargetPrinterPresentationLUTinFilmSession | ( | const char * | targetID | ) |

returns the PRESENTATIONLUTINFILMSESSION entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrinterPresentationLUTMatchRequired()

OFBool DVConfiguration::getTargetPrinterPresentationLUTMatchRequired | ( | const char * | targetID | ) |

returns the PRESENTATIONLUTMATCHREQUIRED entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFTrue otherwise.

## ◆ getTargetPrinterPresentationLUTPreferSCPRendering()

OFBool DVConfiguration::getTargetPrinterPresentationLUTPreferSCPRendering | ( | const char * | targetID | ) |

returns the PRESENTATIONLUTPREFERSCPRENDERING entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrinterResolutionID()

const char* DVConfiguration::getTargetPrinterResolutionID | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the RESOLUTIONID entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfPrinterResolutionIDs(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterSessionLabelAnnotation()

OFBool DVConfiguration::getTargetPrinterSessionLabelAnnotation | ( | const char * | targetID | ) |

returns OFTrue if an SESSIONLABELANNOTATION entry for the printer with the given target ID from the configuration file exists and is true.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  OFTrue if printer supports annotations in film session label, OFFalse otherwise.

## ◆ getTargetPrinterSmoothingType()

const char* DVConfiguration::getTargetPrinterSmoothingType | ( | const char * | targetID,
|  | Uint32 | idx,
|  | OFString & | value
| ) |  |

returns one value from the SMOOTHINGTYPE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.
  idx | index of the value, must be < getTargetPrinterNumberOfSmoothingTypes(targetID)
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getTargetPrinterSupports12BitTransmission()

OFBool DVConfiguration::getTargetPrinterSupports12BitTransmission | ( | const char * | targetID | ) |

returns the SUPPORTS12BIT entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFTrue otherwise (default is 12 bit supported).

## ◆ getTargetPrinterSupportsAnnotation()

OFBool DVConfiguration::getTargetPrinterSupportsAnnotation | ( | const char * | targetID | ) |

returns OFTrue if an ANNOTATION entry for the printer with the given target ID from the configuration file exists or if the SESSIONLABELANNOTATION flag is true for the printer.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  OFTrue if printer supports annotation, OFFalse otherwise.

## ◆ getTargetPrinterSupportsAnnotationBoxSOPClass()

OFBool DVConfiguration::getTargetPrinterSupportsAnnotationBoxSOPClass | ( | const char * | targetID | ) |

returns OFTrue if an ANNOTATION entry for the printer with the given target ID from the configuration file exists.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  OFTrue if printer supports annotation, OFFalse otherwise.

## ◆ getTargetPrinterSupportsDecimateCrop()

OFBool DVConfiguration::getTargetPrinterSupportsDecimateCrop | ( | const char * | targetID | ) |

returns the SUPPORTSDECIMATECROP entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrinterSupportsPresentationLUT()

OFBool DVConfiguration::getTargetPrinterSupportsPresentationLUT | ( | const char * | targetID | ) |

returns the SUPPORTSPRESENTATIONLUT entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrinterSupportsRequestedImageSize()

OFBool DVConfiguration::getTargetPrinterSupportsRequestedImageSize | ( | const char * | targetID | ) |

returns the SUPPORTSIMAGESIZE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrinterSupportsTrim()

OFBool DVConfiguration::getTargetPrinterSupportsTrim | ( | const char * | targetID | ) |

returns the SUPPORTSTRIM entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrintSCPOmitSOPClassUIDFromCreateResponse()

OFBool DVConfiguration::getTargetPrintSCPOmitSOPClassUIDFromCreateResponse | ( | const char * | targetID | ) |

returns the OMITSOPCLASSUIDFROMCREATERESPONSE entry for the printer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID() for peer type DVPSE_printerAny.

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetPrivateKey()

const char* DVConfiguration::getTargetPrivateKey | ( | const char * | targetID | ) |

returns the PRIVATEKEY entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetPrivateKeyPassword()

const char* DVConfiguration::getTargetPrivateKeyPassword | ( | const char * | targetID | ) |

returns the PRIVATEKEYPASSWORD entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetProtocol()

T_ASC_ProtocolFamily DVConfiguration::getTargetProtocol | ( | const char * | targetID | ) |

returns the PROTOCOL entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, ASC_AF_Default otherwise.

## ◆ getTargetRandomSeed()

const char* DVConfiguration::getTargetRandomSeed | ( | const char * | targetID | ) |

returns the RANDOMSEED entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetTimeout()

Sint32 DVConfiguration::getTargetTimeout | ( | const char * | targetID | ) |

returns the TIMEOUT entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, -1 otherwise.

## ◆ getTargetTLSProfile()

const char* DVConfiguration::getTargetTLSProfile | ( | const char * | targetID | ) |

returns the TLSPROFILE entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTargetType()

DVPSPeerType DVConfiguration::getTargetType | ( | const char * | targetID | ) |

returns the TYPE entry for the communication partner with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present and parsable in the config file, DVPSE_storage otherwise.

## ◆ getTargetUseTLS()

OFBool DVConfiguration::getTargetUseTLS | ( | const char * | targetID | ) |

returns the USETLS entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, OFFalse otherwise.

## ◆ getTargetValidationMode()

const char* DVConfiguration::getTargetValidationMode | ( | const char * | targetID | ) |

returns the VALIDATIONMODE entry for the storage peer with the given target ID from the configuration file.

Parameters

  targetID | communication target ID, must be one of the target identifiers returned by getTargetID().

Returns
  entry if present in the config file, NULL otherwise.

## ◆ getTLSCACertificateFolder()

const char* DVConfiguration::getTLSCACertificateFolder | ( |  | ) |

returns the directory in which certificates of the trusted Certification Authorities are located.

Returns
  TLS CA Certificate directory path, NULL if absent.

## ◆ getTLSFolder()

const char* DVConfiguration::getTLSFolder | ( |  | ) |

returns the directory in which TLS related files (certificates, keys, random data, Diffie-Hellman parameters etc.) are located.

Returns
  TLS directory path, NULL if absent.

## ◆ getTLSPEMFormat()

OFBool DVConfiguration::getTLSPEMFormat | ( |  | ) |

returns the file format used for certificates, keys and Diffie-Hellman parameters.

OFTrue for PEM ("privacy enhanced mail") format, OFFalse for DER ("distinguished encoding rules") format.

Returns
  OFTrue for PEM (default), OFFalse for DER.

## ◆ getUserCertificate()

const char* DVConfiguration::getUserCertificate | ( | const char * | userID | ) |

returns the certificate file name for the given user.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  certificate file for the given user

## ◆ getUserCertificateFolder()

const char* DVConfiguration::getUserCertificateFolder | ( |  | ) |

returns the directory in which user certificates and keys are located.

Returns
  User key/certificate directory path, NULL if absent.

## ◆ getUserCodeMeaning()

const char* DVConfiguration::getUserCodeMeaning | ( | const char * | userID,
|  | OFString & | value
| ) |  |

returns the code meaning of the user code for the given user if present.

Parameters

  userID | user ID as returned by getUserID()
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getUserCodeValue()

const char* DVConfiguration::getUserCodeValue | ( | const char * | userID,
|  | OFString & | value
| ) |  |

returns the code value of the user code for the given user if present.

Parameters

  userID | user ID as returned by getUserID()
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getUserCodingSchemeDesignator()

const char* DVConfiguration::getUserCodingSchemeDesignator | ( | const char * | userID,
|  | OFString & | value
| ) |  |

returns the coding scheme designator of the user code for the given user if present.

Parameters

  userID | user ID as returned by getUserID()
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getUserCodingSchemeVersion()

const char* DVConfiguration::getUserCodingSchemeVersion | ( | const char * | userID,
|  | OFString & | value
| ) |  |

returns the coding scheme version of the user code for the given user if present.

Parameters

  userID | user ID as returned by getUserID()
  value | the result is both stored in this object and returned as return value.

Returns
  value if present, NULL otherwise.

## ◆ getUserDICOMName()

const char* DVConfiguration::getUserDICOMName | ( | const char * | userID | ) |

returns the name for the given user in DICOM Person Name (PN) format.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  DICOM PN name for the given user

## ◆ getUserID()

const char* DVConfiguration::getUserID | ( | Uint32 | idx | ) |

returns the symbolic identifier of the user with the given index.

The symbolic identifier is unique within the configuration file.

Parameters

  idx | index, must be < getNumberOfUsers()

Returns
  identifier if found, NULL otherwise.

## ◆ getUserLogin()

const char* DVConfiguration::getUserLogin | ( | const char * | userID | ) |

returns the login for the given user.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  login for the given user

## ◆ getUserName()

const char* DVConfiguration::getUserName | ( | const char * | userID | ) |

returns the human readable name for the given user.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  name for the given user

## ◆ getUserOrganization()

const char* DVConfiguration::getUserOrganization | ( | const char * | userID | ) |

returns the organization for the given user.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  organization for the given user

## ◆ getUserPrivateKey()

const char* DVConfiguration::getUserPrivateKey | ( | const char * | userID | ) |

returns the private key file name for the given user.

If absent in the config file, returns NULL.

Parameters

  userID | user ID as returned by getUserID()

Returns
  key file for the given user

## ◆ getVOIPresetDescription()

const char* DVConfiguration::getVOIPresetDescription | ( | const char * | modality,
|  | Uint32 | idx
| ) |  |

returns the description string for the given VOI Preset

Parameters

  modality | Modality, e.g. "CT", "MR", "DX" etc.
  idx | index of the value, must be < getNumberOfVOIPresets(modality)

Returns
  description if present, NULL otherwise.

## ◆ getVOIPresetWindowCenter()

double DVConfiguration::getVOIPresetWindowCenter | ( | const char * | modality,
|  | Uint32 | idx
| ) |  |

returns the window center for the given VOI Preset

Parameters

  modality | Modality, e.g. "CT", "MR", "DX" etc.
  idx | index of the value, must be < getNumberOfVOIPresets(modality)

Returns
  window center if present, 0.0 otherwise.

## ◆ getVOIPresetWindowWidth()

double DVConfiguration::getVOIPresetWindowWidth | ( | const char * | modality,
|  | Uint32 | idx
| ) |  |

returns the window width for the given VOI Preset

Parameters

  modality | Modality, e.g. "CT", "MR", "DX" etc.
  idx | index of the value, must be < getNumberOfVOIPresets(modality)

Returns
  window width if present, 1.0 otherwise.

## Member Data Documentation

## ◆ pConfig

OFConfigFile* DVConfiguration::pConfig
| private

pointer to the configuration file data if the configuration file was found.

NULL otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpscf.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1